Debian Bug report logs - #493181
login: When PAM version 1.0.1-1 is accepted the parameters for pam_selinux.so change

version graph

Package: login; Maintainer for login is Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>; Source for login is src:shadow.

Reported by: Russell Coker <russell@coker.com.au>

Date: Fri, 1 Aug 2008 03:00:01 UTC

Severity: normal

Found in version shadow/1:4.1.1-3

Fixed in version shadow/1:4.1.1-4

Done: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#493181; Package login. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: login: When PAM version 1.0.1-1 is accepted the parameters for pam_selinux.so change
Date: Fri, 01 Aug 2008 12:57:13 +1000
Package: login
Version: 1:4.1.1-3
Severity: normal

# session required pam_selinux.so multiple
The above line is currently in /etc/pam.d/selinux.  When the newer PAM
packages go in we need to get the "multiple" changed to "select_context"
(or possibly removed entirely).

PAM 1.0.1 is currently in unstable.  So a fix for this is needed in
unstable.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=451722

Also I hope that PAM 1.0.1 will go in Lenny (due to the above bug) and
have requested that the release team consider it.  If they choose to
accept the new PAM in Lenny (which they might have decided before I even
asked them) then getting a new version of login in Lenny to match would
be a good thing.

The old parameter is ignored (so it's not a serious issue) but it would
be good to get these things right as soon as possible.




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#493181; Package login. Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 493181@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 493181@bugs.debian.org
Subject: lenny
Date: Fri, 1 Aug 2008 17:21:42 +1000
I've just been told that PAM version 1.0.1-1 is going in Lenny.

I would appreciate it if you could propose a package fixing this bug as a 
candidate for Lenny.




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#493181; Package login. Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 493181@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: Russell Coker <russell@coker.com.au>, 493181@bugs.debian.org
Subject: Re: Bug#493181: login: When PAM version 1.0.1-1 is accepted the parameters for pam_selinux.so change
Date: Fri, 15 Aug 2008 18:11:45 +0200
On Fri, Aug 01, 2008 at 12:57:13PM +1000, russell@coker.com.au wrote:
> 
> # session required pam_selinux.so multiple
> The above line is currently in /etc/pam.d/selinux.  When the newer PAM
> packages go in we need to get the "multiple" changed to "select_context"
> (or possibly removed entirely).


What is the preferred change:
 * change multiple to select_context in /etc/pam.d/login
 * remove the paragraph regarding SE-Linux from /etc/pam.d/login

Also, I cannot find any /etc/pam.d/selinux (mentioned in your bug)
Is this file included by any other file?

Best Regards,
-- 
Nekral




Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#493181; Package login. Full text and rfc822 format available.

Acknowledgement sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 493181@bugs.debian.org (full text, mbox):

From: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
To: control@bugs.debian.org
Cc: 491460@bugs.debian.org, 493181@bugs.debian.org, 493230@bugs.debian.org
Subject: setting package to passwd shadow login, tagging 491460, tagging 493230, tagging 493181
Date: Fri, 15 Aug 2008 18:07:56 -0300
# Automatically generated email from bts, devscripts version 2.10.35
# via tagpending 
#
# shadow (1:4.1.1-4) unstable; urgency=low
#
#  * debian/patches/302_remove_non_translated_polish_manpages,
#    debian/patches/series: Remove the (untranslated) su.1 and login.1 polish
#    translation.  Closes: #491460
#  * debian/patches/506_relaxed_usernames: Document that the naming policy is
#    also used for the group names policy. Differentiate the Debian
#    constraints in a separate paragraph. Added documentation of the username
#    length restriction. Closes: #493230
#  * debian/patches/507_32char_grnames.dpatch: Update the documentation of the
#    group length restriction. Closes: #493230
#  * debian/login.pam: Replace the "multiple" option of pam_selinux by
#    "select_context". This requires PAM 1.0.1, but is commented.
#    Closes: #493181
#

package passwd shadow login
tags 491460 + pending
tags 493230 + pending
tags 493181 + pending





Tags added: pending Request was from Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net> to control@bugs.debian.org. (Fri, 15 Aug 2008 21:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#493181; Package login. Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 493181@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Nicolas François <nicolas.francois@centraliens.net>
Cc: 493181@bugs.debian.org
Subject: Re: Bug#493181: login: When PAM version 1.0.1-1 is accepted the parameters for pam_selinux.so change
Date: Sat, 16 Aug 2008 08:53:03 +1000
On Saturday 16 August 2008 02:11, Nicolas François 
<nicolas.francois@centraliens.net> wrote:
> On Fri, Aug 01, 2008 at 12:57:13PM +1000, russell@coker.com.au wrote:
> > # session required pam_selinux.so multiple
> > The above line is currently in /etc/pam.d/selinux.  When the newer PAM
> > packages go in we need to get the "multiple" changed to "select_context"
> > (or possibly removed entirely).
>
> What is the preferred change:
>  * change multiple to select_context in /etc/pam.d/login
>  * remove the paragraph regarding SE-Linux from /etc/pam.d/login

Change multiple to select_context.

> Also, I cannot find any /etc/pam.d/selinux (mentioned in your bug)
> Is this file included by any other file?

Sorry, I means to say /etc/pam.d/login.




Reply sent to Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 493181-close@bugs.debian.org (full text, mbox):

From: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
To: 493181-close@bugs.debian.org
Subject: Bug#493181: fixed in shadow 1:4.1.1-4
Date: Sat, 16 Aug 2008 06:48:39 +0000
Source: shadow
Source-Version: 1:4.1.1-4

We believe that the bug you reported is fixed in the latest version of
shadow, which is due to be installed in the Debian FTP archive:

login_4.1.1-4_powerpc.deb
  to pool/main/s/shadow/login_4.1.1-4_powerpc.deb
passwd_4.1.1-4_powerpc.deb
  to pool/main/s/shadow/passwd_4.1.1-4_powerpc.deb
shadow_4.1.1-4.diff.gz
  to pool/main/s/shadow/shadow_4.1.1-4.diff.gz
shadow_4.1.1-4.dsc
  to pool/main/s/shadow/shadow_4.1.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493181@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net> (supplier of updated shadow package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Aug 2008 12:36:15 -0300
Source: shadow
Binary: passwd login
Architecture: source powerpc
Version: 1:4.1.1-4
Distribution: unstable
Urgency: low
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Changed-By: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Description: 
 login      - system login tools
 passwd     - change and administer password and group data
Closes: 491460 493181 493230 493230
Changes: 
 shadow (1:4.1.1-4) unstable; urgency=low
 .
   * The "Rocamadour" release.
   * debian/patches/302_remove_non_translated_polish_manpages,
     debian/patches/series: Remove the (untranslated) su.1 and login.1 polish
     translation.  Closes: #491460
   * debian/patches/506_relaxed_usernames: Document that the naming policy is
     also used for the group names policy. Differentiate the Debian
     constraints in a separate paragraph. Added documentation of the username
     length restriction. Closes: #493230
   * debian/patches/507_32char_grnames.dpatch: Update the documentation of the
     group length restriction. Closes: #493230
   * debian/login.pam: Replace the "multiple" option of pam_selinux by
     "select_context". This requires PAM 1.0.1, but is commented.
     Closes: #493181
   * debian/patches/494_passwd_lock-no_account_lock: Fix typo (missing
     parenthesis). Thanks to Moray Allan.
Checksums-Sha1: 
 1d94fba16a24a88eeea8d8942f941c298c211138 1542 shadow_4.1.1-4.dsc
 a315ea6cac4e3f83e1381dfbaf2626cb04798896 90312 shadow_4.1.1-4.diff.gz
 243d7001c753ddbe052fd4cfe0441dc6577ea68d 1008684 passwd_4.1.1-4_powerpc.deb
 fd8f2e04d8514cef95488d53a9eb88c78dc24592 862598 login_4.1.1-4_powerpc.deb
Checksums-Sha256: 
 a9873534f368d75caebc521601fbdefff4a5faca7a3462ef771fa82da223b94e 1542 shadow_4.1.1-4.dsc
 9ad9a6d9e561f9b2ba941c8608abc42c093545a6c2150174ebbac5af7fb16ec1 90312 shadow_4.1.1-4.diff.gz
 50fe14cd71a222adf39aaf23a489b2569b718fe0b336ddb2a462431a02ff9aaa 1008684 passwd_4.1.1-4_powerpc.deb
 580be1702e6cd601b2ce50004f4694c5e5dc6f8c09f999b144a616b0db78c03b 862598 login_4.1.1-4_powerpc.deb
Files: 
 10a88e0c386831147fff8f8911ec32af 1542 admin required shadow_4.1.1-4.dsc
 fc4aeb5bb613a099e9bc0e165bb71746 90312 admin required shadow_4.1.1-4.diff.gz
 607ce150146e7fcf70d102c70f0519ab 1008684 admin required passwd_4.1.1-4_powerpc.deb
 0b9043aae414d0467a72ff061be49948 862598 admin required login_4.1.1-4_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkimcbcACgkQWgo5mup89a10zQCfZfRQnKsrkUornD5w2VyP43wf
zHUAn2qnUzEEAS6LTq6StEEToGmouwv2
=toLr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Sep 2008 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:38:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.